﻿Type=Service
Version=6.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public astream As AsyncStreams
	Public connected As Boolean
	Private bc As ByteConverter
	Private watchdog As Timer

	Public ip As String = "192.168.4.1"
	Public port As Int = 51042
	Public usocket As UDPSocket
End Sub

Sub Service_Create
	bc.LittleEndian = True
	
	usocket.Initialize("usocket", 51042, 8192)

	watchdog.Initialize("watchdog", 1000)
	watchdog.Enabled = True	
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Private Sub watchdog_Tick
	If Main.wifiManager.getIpAddress.StartsWith("192.168.4") Then
		connected = True
	Else 
		connected = False
	End If
	CallSub(Main, "StateChanged")
End Sub

Private Sub usocket_PacketArrived (Packet As UDPPacket)
	Dim key As String = BytesToString(Packet.Data, Packet.Offset, Packet.Length, "UTF8")
	Log("Astream_NewData= " & key)
		
	If key = "R1" Then
		CallSub2(Main, "WeMosLedRed", True)
	Else if key = "R0" Then
		CallSub2(Main, "WeMosLedRed", False)
	End If
	
	If key = "Y1" Then
		CallSub2(Main, "WeMosLedYellow", True)
	Else if key = "Y0" Then
		CallSub2(Main, "WeMosLedYellow", False)
	End If
End Sub

Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
